package com.ycwl.basic.model.mobile.order;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class IsBuyRespVO {
    private boolean buy;
    private boolean free;
    private Long orderId;
    private int goodsType;
    private Long goodsId;
    private BigDecimal origPrice = BigDecimal.ZERO;
    private BigDecimal couponPrice = BigDecimal.ZERO;
    private BigDecimal slashPrice = BigDecimal.ZERO;

    public BigDecimal getPrice() {
        return origPrice.subtract(couponPrice);
    }
}
