package com.ycwl.basic.model.mobile.order;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class IsBuyBatchRespVO {
    private boolean buy;
    private boolean free;
    private Long orderId;
    private Integer configId;
    private int type;
    private String goodsIds;
    private BigDecimal origPrice = BigDecimal.ZERO;
    private BigDecimal couponPrice = BigDecimal.ZERO;
    private BigDecimal slashPrice = BigDecimal.ZERO;

    public BigDecimal getPrice() {
        return origPrice.subtract(couponPrice);
    }
}
